#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

source locate.sh
if [[ "X$1" = "X" || "X$2" = "X" ]]; then
    echo Usage: $ME DESIGN_DIR APP_DIR
    exit 1
fi
source ${MY_DIR}/decode_design_dir.sh $1
source ${MY_DIR}/decode_app_dir.sh $2
