#! /usr/bin/env bash
#
# Copyright 2021 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

set -x
set -e
source locate.sh
source ${MY_DIR}/decode_design_dir.sh $1
source ${MY_DIR}/decode_app_dir.sh $2

rm -rf "${APP_WORKSPACE}"

#cat ${APP_BIF_TEMPLATE} | \
#    sed \
#        -e "s:DESIGN_PDI:${DESIGN_PDI}:" \
#        -e "s:R5_ELF:${R5_ELF}:" \
#        -e "s:R5_CORE:${R5_CORE}:" \
#    > ${APP_BIF}

mkdir -p ${APP_BUILD_DIR}
pushd ${APP_BUILD_DIR}
    xsct "${APP_XSCT_SCRIPT}" "${TOP_FULL}" "${DESIGN_XSA}" "${APP_NAME}" "${APP_WORKSPACE}" "${APP_PROC}"
popd
