/*
 * Copyright 2021 Xilinx, Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef X86_R5_SIM_H__
#define X86_R5_SIM_H__

struct SimData;
typedef struct SimData SimData;

struct SimData {
    ProgEnvFuncs tProgEnvFuncs;
    MessageArea tMA;
    AuxArea tAA;
    AuxArea tPA;
    void* pxFlashMap;
    pthread_t oThread;
};

extern bool OpenSim(Sys* pSys);
extern bool CloseSim(Sys* pSys);
#endif  /* X86_R5_SIM_H__ */
